> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search institutions

> Allows you to search across the list of Institutions supported by your service providers. This endpoint is only available in production.



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /institutions
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /institutions:
    get:
      tags:
        - Institutions
      summary: Search institutions
      description: >-
        Allows you to search across the list of Institutions supported by your
        service providers. This endpoint is only available in production.
      operationId: bank-linking-institutions-search
      parameters:
        - name: before
          in: query
          description: >-
            Unique key corresponding to a institution's position in the
            paginated list of results -- used to indicate that only institutions
            residing before this key will be retrieved.


            Each institution carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: after
          in: query
          description: >-
            Unique key corresponding to a institution's position in the
            paginated list of results -- used to indicate that only institutions
            residing after this key will be retrieved.


            Each institution carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: serviceProviders
          in: query
          description: >-
            Comma separated list of service providers. If present, only
            institutions supported by at least one of the service providers will
            be included.


            ***Note:*** Reference [Supported Service
            Providers](https://docs.meld.io/docs/creating-connections#supported-service-providers)
            for the list of available bank linking providers.
          required: false
          schema:
            type: string
            default: ''
        - name: limit
          in: query
          description: |-
            Limits number of returned institutions.

            *Default value*: 10

            *Minimum value*: 1

            *Maximum value*: 1000
          required: false
          schema:
            type: string
            default: ''
        - name: name
          in: query
          description: >-
            If present, only institutions will be included whose name matches
            partially or fully.
          required: false
          schema:
            type: string
            default: ''
        - name: type
          in: query
          description: If present, only institutions will be included whose type matches.
          required: false
          schema:
            type: string
            default: ''
        - name: regions
          in: query
          description: >-
            Comma separated list of regions. If present, only institutions
            supported by at least one of the regions will be included.
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Institution snapshot is returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstitutionPage'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    InstitutionPage:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Number of institutions returned.
        institutions:
          type: array
          description: Institutions
          items:
            $ref: '#/components/schemas/Institution'
        remaining:
          type: integer
          format: int32
          description: >-
            Number of remaining institutions before/after this page, depending
            the direction this page was selected.
    Institution:
      type: object
      properties:
        aliases:
          type: array
          description: List of aliases for the institution
          items:
            type: string
        domain:
          type: string
          description: Base url for the institution
        id:
          type: string
          description: Institution's Meld Id
        images:
          description: Images
          allOf:
            - $ref: '#/components/schemas/Images'
        isTest:
          type: boolean
          description: If the institution is a test institution
        key:
          type: string
          description: The key of the institution in the paginated list of results
        name:
          type: string
          description: Name
        providers:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Provider'
          description: Mapped service provider institutions
        rank:
          type: integer
          format: int32
          description: >-
            Institution's popularity score, which is used to rank institutions
            in the bank linking connect widget
        subName:
          type: string
          description: Alternate name that may be provided by the service provider
        type:
          type: string
          description: Type of the institution
    Images:
      type: object
      properties:
        icon:
          type: string
          description: Url of the icon image for the institution
        tile:
          type: string
          description: Url of the tile image for the institution
        wide:
          type: string
          description: Url of the wide image for the institution
    Provider:
      type: object
      properties:
        categories:
          type: array
          description: Supported categories
          items:
            type: string
        id:
          type: string
          description: Service provider's id for the institution
        oauth:
          type: boolean
          description: Supports OAuth
        products:
          type: array
          description: Supported products
          items:
            type: string
        regions:
          type: array
          description: Supported regions
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````